Retrieve a transfer between your accounts
curl --request GET \
--url https://api.talescria.com/v1/conversions/{conversionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.talescria.com/v1/conversions/{conversionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.talescria.com/v1/conversions/{conversionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"conversion": {
"conversionRef": "<string>",
"kind": "conversion",
"fromAccountId": "<string>",
"toAccountId": "<string>",
"from": "<string>",
"to": "<string>",
"amountFromMinorUnits": "<string>",
"amountToMinorUnits": "<string>",
"status": "pending",
"quoteRef": "<string>",
"failureReason": "<string>",
"createdAt": 123,
"updatedAt": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Transfers
Retrieve a transfer between your accounts
A transfer between your accounts as it stands. Poll while status is pending.
Requires the transfers:read scope.
GET
/
v1
/
conversions
/
{conversionId}
Retrieve a transfer between your accounts
curl --request GET \
--url https://api.talescria.com/v1/conversions/{conversionId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.talescria.com/v1/conversions/{conversionId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.talescria.com/v1/conversions/{conversionId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"conversion": {
"conversionRef": "<string>",
"kind": "conversion",
"fromAccountId": "<string>",
"toAccountId": "<string>",
"from": "<string>",
"to": "<string>",
"amountFromMinorUnits": "<string>",
"amountToMinorUnits": "<string>",
"status": "pending",
"quoteRef": "<string>",
"failureReason": "<string>",
"createdAt": 123,
"updatedAt": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}